<template>
  <TabCarousel
    :tabsTitle="tabsTitle"
    :aspectRatio="0.59"
    :scrollAnimation="scrollAnimation"
  >
    <Slide v-for="tab in tabs" :key="tab.id" class="tab-slide">
      <template v-slot:content>
        <TabletMockupWithGradient>
          <template #content>
            <img :src="tab.image" :alt="tab.title" class="image" />
          </template>
        </TabletMockupWithGradient>
      </template>
    </Slide>
  </TabCarousel>
</template>
<script>
import { computed } from 'vue'
import { VueperSlide } from 'vueperslides'
import TabCarousel from '@/components/shared/TabCarousel'
import TabletMockupWithGradient from '@/components/shared/TabletMockupWithGradient'

export default {
  name: 'CaseWebDesktop',
  props: {
    tabs: {
      type: Array,
      required: true,

      //  add validator
      validator() {
        return true
      }
    },
    scrollAnimation: {
      type: Boolean,
      default: () => false
    }
  },
  components: {
    Slide: VueperSlide,
    TabCarousel,
    TabletMockupWithGradient
  },
  setup(props) {
    const tabsTitle = computed(() => props.tabs.map(t => t.title))

    return { tabsTitle }
  }
}
</script>
